import{s as ge,n as be,o as $e}from"../chunks/scheduler.b108d059.js";import{S as Me,i as we,g as a,s as i,r as y,A as _e,h as r,f as s,c as l,j as he,u as x,x as p,k as fe,y as Te,a as n,v as z,d as S,t as U,w as C}from"../chunks/index.008de539.js";import{C as te}from"../chunks/CodeBlock.3968c746.js";import{H as se,E as ve}from"../chunks/EditOnGithub.d1c48e3d.js";function je(ne){let u,G,J,P,d,B,m,ie="In diesem Tutorial lernen Sie, wie Sie Modelle, Datensätze und Spaces auf dem Hub mit <code>huggingface_hub</code> durchsuchen können.",D,o,R,c,le=`Die <code>huggingface_hub</code>-Bibliothek enthält einen HTTP-Client <code>HfApi</code>, um mit dem Hub zu interagieren.
Unter anderem kann er Modelle, Datensätze und Spaces auflisten, die auf dem Hub gespeichert sind:`,W,h,Z,f,ae="Die Ausgabe von <code>list_models()</code> ist ein Iterator über die auf dem Hub gespeicherten Modelle.",E,g,re="Ähnlich können Sie <code>list_datasets()</code> verwenden, um Datensätze aufzulisten und <code>list_spaces()</code>, um Spaces aufzulisten.",I,b,Q,$,pe=`Das Auflisten von Repositories ist großartig, aber jetzt möchten Sie vielleicht Ihre Suche filtern.
Die List-Helfer haben mehrere Attribute wie:`,X,M,ue="<li><code>filter</code></li> <li><code>author</code></li> <li><code>search</code></li> <li>…</li>",N,w,de=`Zwei dieser Parameter sind intuitiv (<code>author</code> und <code>search</code>), aber was ist mit diesem <code>filter</code>?
<code>filter</code> nimmt als Eingabe ein <code>ModelFilter</code>-Objekt (oder <code>DatasetFilter</code>) entgegen.
Sie können es instanziieren, indem Sie angeben, welche Modelle Sie filtern möchten.`,A,_,me=`Hier ist ein Beispiel, um alle Modelle auf dem Hub zu erhalten, die Bildklassifizierung durchführen,
auf dem Imagenet-Datensatz trainiert wurden und mit PyTorch laufen.
Das kann mit einem einzigen <code>ModelFilter</code> erreicht werden. Attribute werden als “logisches UND” kombiniert.`,F,T,q,v,oe=`Während des Filterns können Sie auch die Modelle sortieren und nur die Top-Ergebnisse abrufen.
Zum Beispiel holt das folgende Beispiel die 5 am häufigsten heruntergeladenen Datensätze auf dem Hub:`,Y,j,O,H,ce=`Eine andere Möglichkeit, dies zu tun,
besteht darin, die <a href="https://huggingface.co/models" rel="nofollow">Modelle</a> und <a href="https://huggingface.co/datasets" rel="nofollow">Datensätze</a> Seiten
in Ihrem Browser zu besuchen, nach einigen Parametern zu suchen und die Werte in der URL anzusehen.`,V,k,K,L,ee;return d=new se({props:{title:"Den Hub durchsuchen",local:"den-hub-durchsuchen",headingTag:"h1"}}),o=new se({props:{title:"Wie listet man Repositories auf?",local:"wie-listet-man-repositories-auf",headingTag:"h2"}}),h=new te({props:{code:"ZnJvbSUyMGh1Z2dpbmdmYWNlX2h1YiUyMGltcG9ydCUyMEhmQXBpJTBBYXBpJTIwJTNEJTIwSGZBcGkoKSUwQW1vZGVscyUyMCUzRCUyMGFwaS5saXN0X21vZGVscygp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> HfApi
<span class="hljs-meta">&gt;&gt;&gt; </span>api = HfApi()
<span class="hljs-meta">&gt;&gt;&gt; </span>models = api.list_models()`,wrap:!1}}),b=new se({props:{title:"Wie filtert man Repositories?",local:"wie-filtert-man-repositories",headingTag:"h2"}}),T=new te({props:{code:"bW9kZWxzJTIwJTNEJTIwaGZfYXBpLmxpc3RfbW9kZWxzKCUwQSUyMCUyMCUyMCUyMGZpbHRlciUzRE1vZGVsRmlsdGVyKCUwQSUwOSUwOXRhc2slM0QlMjJpbWFnZS1jbGFzc2lmaWNhdGlvbiUyMiUyQyUwQSUwOSUwOWxpYnJhcnklM0QlMjJweXRvcmNoJTIyJTJDJTBBJTA5JTA5dHJhaW5lZF9kYXRhc2V0JTNEJTIyaW1hZ2VuZXQlMjIlMEElMDkpJTBBKQ==",highlighted:`models = hf_api.list_models(
    <span class="hljs-built_in">filter</span>=ModelFilter(
		task=<span class="hljs-string">&quot;image-classification&quot;</span>,
		library=<span class="hljs-string">&quot;pytorch&quot;</span>,
		trained_dataset=<span class="hljs-string">&quot;imagenet&quot;</span>
	)
)`,wrap:!1}}),j=new te({props:{code:"bGlzdChsaXN0X2RhdGFzZXRzKHNvcnQlM0QlMjJkb3dubG9hZHMlMjIlMkMlMjBkaXJlY3Rpb24lM0QtMSUyQyUyMGxpbWl0JTNENSkp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(list_datasets(sort=<span class="hljs-string">&quot;downloads&quot;</span>, direction=-<span class="hljs-number">1</span>, limit=<span class="hljs-number">5</span>))
[DatasetInfo(
	<span class="hljs-built_in">id</span>=<span class="hljs-string">&#x27;argilla/databricks-dolly-15k-curated-en&#x27;</span>,
	author=<span class="hljs-string">&#x27;argilla&#x27;</span>,
	sha=<span class="hljs-string">&#x27;4dcd1dedbe148307a833c931b21ca456a1fc4281&#x27;</span>,
	last_modified=datetime.datetime(<span class="hljs-number">2023</span>, <span class="hljs-number">10</span>, <span class="hljs-number">2</span>, <span class="hljs-number">12</span>, <span class="hljs-number">32</span>, <span class="hljs-number">53</span>, tzinfo=datetime.timezone.utc),
	private=<span class="hljs-literal">False</span>,
	downloads=<span class="hljs-number">8889377</span>,
	(...)`,wrap:!1}}),k=new ve({props:{source:"https://github.com/huggingface/huggingface_hub/blob/main/docs/source/de/guides/search.md"}}),{c(){u=a("meta"),G=i(),J=a("p"),P=i(),y(d.$$.fragment),B=i(),m=a("p"),m.innerHTML=ie,D=i(),y(o.$$.fragment),R=i(),c=a("p"),c.innerHTML=le,W=i(),y(h.$$.fragment),Z=i(),f=a("p"),f.innerHTML=ae,E=i(),g=a("p"),g.innerHTML=re,I=i(),y(b.$$.fragment),Q=i(),$=a("p"),$.textContent=pe,X=i(),M=a("ul"),M.innerHTML=ue,N=i(),w=a("p"),w.innerHTML=de,A=i(),_=a("p"),_.innerHTML=me,F=i(),y(T.$$.fragment),q=i(),v=a("p"),v.textContent=oe,Y=i(),y(j.$$.fragment),O=i(),H=a("p"),H.innerHTML=ce,V=i(),y(k.$$.fragment),K=i(),L=a("p"),this.h()},l(e){const t=_e("svelte-u9bgzb",document.head);u=r(t,"META",{name:!0,content:!0}),t.forEach(s),G=l(e),J=r(e,"P",{}),he(J).forEach(s),P=l(e),x(d.$$.fragment,e),B=l(e),m=r(e,"P",{"data-svelte-h":!0}),p(m)!=="svelte-6anksx"&&(m.innerHTML=ie),D=l(e),x(o.$$.fragment,e),R=l(e),c=r(e,"P",{"data-svelte-h":!0}),p(c)!=="svelte-1hjcpkt"&&(c.innerHTML=le),W=l(e),x(h.$$.fragment,e),Z=l(e),f=r(e,"P",{"data-svelte-h":!0}),p(f)!=="svelte-p9tbga"&&(f.innerHTML=ae),E=l(e),g=r(e,"P",{"data-svelte-h":!0}),p(g)!=="svelte-1t4zal1"&&(g.innerHTML=re),I=l(e),x(b.$$.fragment,e),Q=l(e),$=r(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-1kqhxb6"&&($.textContent=pe),X=l(e),M=r(e,"UL",{"data-svelte-h":!0}),p(M)!=="svelte-11piw8k"&&(M.innerHTML=ue),N=l(e),w=r(e,"P",{"data-svelte-h":!0}),p(w)!=="svelte-dhcw7b"&&(w.innerHTML=de),A=l(e),_=r(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-ag3ggf"&&(_.innerHTML=me),F=l(e),x(T.$$.fragment,e),q=l(e),v=r(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-4yv5h8"&&(v.textContent=oe),Y=l(e),x(j.$$.fragment,e),O=l(e),H=r(e,"P",{"data-svelte-h":!0}),p(H)!=="svelte-1149fw2"&&(H.innerHTML=ce),V=l(e),x(k.$$.fragment,e),K=l(e),L=r(e,"P",{}),he(L).forEach(s),this.h()},h(){fe(u,"name","hf:doc:metadata"),fe(u,"content",He)},m(e,t){Te(document.head,u),n(e,G,t),n(e,J,t),n(e,P,t),z(d,e,t),n(e,B,t),n(e,m,t),n(e,D,t),z(o,e,t),n(e,R,t),n(e,c,t),n(e,W,t),z(h,e,t),n(e,Z,t),n(e,f,t),n(e,E,t),n(e,g,t),n(e,I,t),z(b,e,t),n(e,Q,t),n(e,$,t),n(e,X,t),n(e,M,t),n(e,N,t),n(e,w,t),n(e,A,t),n(e,_,t),n(e,F,t),z(T,e,t),n(e,q,t),n(e,v,t),n(e,Y,t),z(j,e,t),n(e,O,t),n(e,H,t),n(e,V,t),z(k,e,t),n(e,K,t),n(e,L,t),ee=!0},p:be,i(e){ee||(S(d.$$.fragment,e),S(o.$$.fragment,e),S(h.$$.fragment,e),S(b.$$.fragment,e),S(T.$$.fragment,e),S(j.$$.fragment,e),S(k.$$.fragment,e),ee=!0)},o(e){U(d.$$.fragment,e),U(o.$$.fragment,e),U(h.$$.fragment,e),U(b.$$.fragment,e),U(T.$$.fragment,e),U(j.$$.fragment,e),U(k.$$.fragment,e),ee=!1},d(e){e&&(s(G),s(J),s(P),s(B),s(m),s(D),s(R),s(c),s(W),s(Z),s(f),s(E),s(g),s(I),s(Q),s($),s(X),s(M),s(N),s(w),s(A),s(_),s(F),s(q),s(v),s(Y),s(O),s(H),s(V),s(K),s(L)),s(u),C(d,e),C(o,e),C(h,e),C(b,e),C(T,e),C(j,e),C(k,e)}}}const He='{"title":"Den Hub durchsuchen","local":"den-hub-durchsuchen","sections":[{"title":"Wie listet man Repositories auf?","local":"wie-listet-man-repositories-auf","sections":[],"depth":2},{"title":"Wie filtert man Repositories?","local":"wie-filtert-man-repositories","sections":[],"depth":2}],"depth":1}';function ke(ne){return $e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ue extends Me{constructor(u){super(),we(this,u,ke,je,ge,{})}}export{Ue as component};
